package com.ysnows.base.ext

import android.widget.ImageView
import androidx.annotation.IdRes
import coil.load
import com.chad.library.adapter.base.viewholder.BaseViewHolder


fun BaseViewHolder.setImageUrl(@IdRes viewId: Int, url: String?): BaseViewHolder {
    val imageView = getView<ImageView>(viewId)
    imageView.load(url)
    return this

}

